jmeter-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vladimir Sitnikov <sitnikov.vladi...@gmail.com>
Subject Re: Release 5.3
Date Fri, 03 Apr 2020 08:57:04 GMT
>3) What about upgrade to groovy ? Do we skip it for this release ?

Let's update to Groovy 3.

>2) I upgraded some dependencies, but github is facing an incident so we
>didn't get the mail

Thanks.

I suggest we stop adding lines like "Updated equalsverifier to 3.1.9 (from
3.1.12)" to changes.xml.

The reasoning is as follows:
1) There are build-only dependencies, and there are runtime dependencies.
For instance, JMeter binary artifacts do not include equalsverifier jar.
What does "updated equalsverifier" tell the end-users?
2) It is hard to predict which transitive versions will be updated

That is why I think we should update version diff just before the release.

I'm not sure if we should add test-only dependencies update to changes.xml
If we add them, the changes should probably go into a dedicated section
(e.g. build/test changes).

Vladimir

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message